Bytedance Seed Speech Text to Speech
통합
모델 id
bytedance/seed-speech/tts/v2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seed-speech/tts/v2?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"text": "Hello from Doitong. This is a short test sentence."
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bytedance/seed-speech/tts/v2?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"text": "Hello from Doitong. This is a short test sentence."
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"text": "Hello from Doitong. This is a short test sentence.",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bytedance/seed-speech/tts/v2", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ko/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bytedance/seed-speech/tts/v2",
"input": {
"text": "Hello from Doitong. This is a short test sentence."
}
}
Doitong API를 통해 Bytedance Seed Speech Text to Speech 모델(bytedance/seed-speech/tts/v2)을 호출합니다. 에이전트용 문서: https://doitong.com/ko/developers/models/bytedance/seed-speech/tts/v2.md
POST https://api.doitong.com/v1/run/bytedance/seed-speech/tts/v2?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"text": "Hello from Doitong. This is a short test sentence."
}
응답 상태가 "queued" 또는 "running"이면 "succeeded"가 될 때까지 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20을 폴링하세요. 파일은 outputs[].url에 있습니다. POST https://api.doitong.com/v1/quote/bytedance/seed-speech/tts/v2에 동일한 본문을 보내면 실행 전에 정확한 가격을 반환합니다.
이 요청: $0.002 2 API 크레딧 이 페이지에서 실행
새 API 키입니다. 지금만 표시되며 이미 아래 코드와 API 키 필드에 입력되어 있습니다. 안전하게 보관하세요. 브라우저에서 실행되는 코드에 절대 넣지 마세요.
ByteDance · 오디오
첫 번째 결과가 여기에 표시됩니다
아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.
요청 만들기
컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.
POST
/run/bytedance/seed-speech/tts/v2?wait=20
견적 → $0.002
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seed-speech/tts/v2?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"text": "Hello from Doitong. This is a short test sentence."
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bytedance/seed-speech/tts/v2?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"text": "Hello from Doitong. This is a short test sentence."
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"text": "Hello from Doitong. This is a short test sentence.",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bytedance/seed-speech/tts/v2", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bytedance/seed-speech/tts/v2",
"input": {
"text": "Hello from Doitong. This is a short test sentence."
},
"wait_seconds": 20
}
}
}
Bytedance Seed Speech Text to Speech 정보
최대 5000자의 `text`를 오디오로 변환합니다. `voice`를 선택하고, 필요하면 `language`를 지정하거나 자동 감지를 사용할 수 있습니다. `speed`와 `volume`의 범위는 0.5~2이며, `pitch`는 -12~12 반음 범위로 조정할 수 있고, `voice_instruction`으로 전달 방식을 제어합니다. 출력 형식은 mp3 또는 opus이며 샘플링 레이트는 8000~48000 Hz입니다.
매개변수
이름유형
기본값허용됨
설명
text필수
유형string
≤ 5,000자
합성 음성으로 변환할 텍스트입니다.
voice선택 사항
유형enum
기본값stokie_en
vivi_mixed_en_zh_ja_es_idmindy_en_es_id_pt_zhstokie_endacey_entim_enkian_en_zhcedric_en_zhsophie_en_zhjean_en_zhmagnus_en_zhmabel_en_zhnadia_en_zhopal_en_zhpearl_en_zhquentin_en_zhvienna_mixed_en_zh
+25개 더 보기
alina_mixed_en_zhcorinne_mixed_en_zhesther_mixed_en_zhfreya_mixed_en_zhgigi_mixed_en_zhholly_mixed_en_zhlyla_mixed_en_zhdaisy_mixed_en_zhtracy_es_zhjess_ja_es_id_pt_en_zhpinky_es_ko_mixed_en_zhsweety_ja_essandy_es_mixed_en_zhsven_deminimi_jausseau_frfelipe_eshan_idmartins_ptenzo_itshane_kobonnie_zhfelix_zhceleste_zhmonkey_king_zh합성 음성 프리셋입니다. 이름에 지원 언어 코드도 포함됩니다. 'en_zh'처럼 언어 지원이 독립적일 수도 있고, 'mixed_en_zh'처럼 영어와 중국어를 자연스럽게 혼합할 수도 있습니다.
output_format선택 사항
유형enum
기본값mp3
mp3opus
오디오 출력 인코딩입니다. 'mp3'는 MP3를 생성하고 'opus'는 Ogg 컨테이너에 패키징된 Opus를 생성합니다.
sample_rate선택 사항
유형enum
기본값24000
8000160002205024000320004410048000
출력 오디오의 Hz 단위 샘플링 주파수입니다.
speed선택 사항
유형number
기본값1
0.5 – 2
말하기 속도 배율입니다. 1.0은 정상 속도, 0.5는 절반 속도, 2.0은 2배 속도입니다.
volume선택 사항
유형number
기본값1
0.5 – 2
볼륨 배율입니다. 1.0은 정상 볼륨, 0.5는 절반 볼륨, 2.0은 2배 볼륨입니다.
pitch선택 사항
유형integer
기본값0
-12 – 12
반음 단위의 음성 피치 조정입니다. 0은 피치를 유지하고, -12는 한 옥타브 낮추며, 12는 한 옥타브 높입니다.
language선택 사항
유형enum
zhenjaes-mxidpt-brkoitdefr
읽기 언어 재정의입니다. 생략하면 자동으로 감지하며 이중 언어 음성은 중국어와 영어를 자연스럽게 혼합할 수 있습니다. 제공하면 감지가 비활성화되고 한 언어로만 읽습니다. 중국어는 zh, 영어는 en, 일본어는 ja, 멕시코 스페인어는 es-mx, 인도네시아어는 id, 브라질 포르투갈어는 pt-br, 한국어는 ko, 이탈리아어는 it, 독일어는 de, 프랑스어는 fr을 선택합니다.
voice_instruction선택 사항
유형string | null
선택적 자연어 전달 지시입니다(예: 'Speak in a cheerful tone' 또는 'Could you speak a bit slower?'). 말투, 감정, 볼륨, 속도를 지정할 수 있습니다.
필수
출력
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bytedance/seed-speech/tts/v2",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 2,
"usd": "0.002",
"charged": 2,
"refunded": 0
},
"input": {
"text": "Hello from Doitong. This is a short test sentence."
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
}
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
- audio
- object {url, content_type, file_name, file_size}생성으로 만들어진 오디오 파일입니다.
더 많은 모델: 텍스트를 음성으로
AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/bytedance/seed-speech/tts/v2.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt